[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 854

`public constructor TTabControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor, and sets the default values for the following properties in the class instance:

- Tabs
- TabStop
- BorderWidth

Create calls GetControlClassDefaultSize and sets the initial bounds for the control using SetInitialBounds. Create allocates a TControlCanvas instance that is used in the Canvas property.